Skip to main content
Use the meetings API to retrieve information about meetings created through a scheduling page. You can also book a meeting with a scheduling page through the API.
Please note: if you’re looking to manage meeting engagements on CRM record pages, check out the API guide here instead.
With the meetings API, you can:
  • Get a list of meeting links.
  • Get booking information for a meeting link.
  • Get the next availability page for a meeting link.
This could be useful if you have an app that can get a list of meeting links or book meetings. You could also use the meetings API to create an interface for your customers to book meetings with your team. The following features aren’t supported when using the Meetings API:
  • UTM, HubSpot UTK, and content tracking.
  • Reschedule through this API.
  • Send in CAPTCHA tokens.
  • Create meetings with payment.
  • Send in an IP address.
The sections below provides a walkthrough of how to use the endpoints.

List meeting scheduling pages

To get a list of meetings scheduling pages, make a GET request to /scheduler/2026-03/meetings/meeting-links. Use the amount of meeting links you want returned as the limit in the request URL and use your userID, name, and type as a query parameter. To get and filter a list of meeting links, supply the filters you’d like to apply as query parameters (e.g., limit, type, and name), and provide your user ID as the organizerUserId query parameter. For example, if your user ID is 1234567, you’d make a GET request to /scheduler/2026-03/meetings/meeting-links?limit=1&name=menelson&organzerUserId=1234567&type=PERSONAL_LINK The response for fetching a list of meeting scheduling pages would resemble the following:
The details of each response field are outlined in the table below:

List booking information

To get details about the initial information necessary for a meeting scheduler, make a GET request to /scheduler/2026-03/meetings/meeting-links/book/{slug} and provide the following in your request:
  • Use your unique meeting link ID as the slug path parameter. The default slug that’s used when creating a scheduling link is the first letter of the HubSpot user’s name followed by their last name. For example, the slug for “John Doe” would be jdoe.
  • Provide your time zone as the timezone query parameter (e.g., ?timezone=America/New_York for the New York time zone).
  • By default, the response will only include results from the current month. To get availability information for a future month, you can include the monthOffset query parameter to specify the number of months forward from the current month (e.g., monthOffset=2 would get availability two months from the current date).
For example, if a user’s scheduling link is https://meetings.hubspot.com/jdoe, to get booking information in the New York time zone in two months, you’d make a GET request to /scheduler/2026-03/meetings/meeting-links/book/jdoe?timezone=America/New_York&monthOffset=2. The response would resemble the following:

List availability

To get the next availability page for a meeting, make a GET request to /scheduler/2026-03/meetings/meeting-links/book/availability-page/{slug}. Use your meeting link path as the slug and your timezone as a query parameter. The response for fetching the availability page for a meeting would resemble the following:

Book a meeting

To book a meeting using a meeting link, make a POST request to /scheduler/2026-03/meetings/meeting-links/book/. Use your timezone as a query parameter. For example to book a meeting, make a POST request to /scheduler/2026-03/meetings/meeting-links/book?timezone=America%2FNew_York The request body should include the following information. Any information that’s required in your meeting registration must be included in the request body:

Offline Bookings

If our server was not able to access the user’s calendar availability, either because the user did not have a calendar connected or because the calendar provider could not be reached, a meeting will be booked “offline”. That means that no calendar event will be created, and the user will instead be sent a notification informing them that of the time that a lead attempted to book a meeting with them. In the case of an offline booking, isOffline will be set to true in the response body. The calendarEventId field will be set to "", indicating that no event ID was generated.
Last modified on March 31, 2026